#include "u.h"
#include "lib.h"
#include "mem.h"
#include "dat.h"
#include "fns.h"
#include "io.h"

static char *helptext = 
	"key=value - set key to value\n"
	"h - print help message\n"
	"p - print variable table\n"
	"q - quit prompt\n";

void
uservars(void)
{
	char buf[80];

	if(!getconf("*uservars"))
		return;

	print("\n%s", helptext);
	for(;;){
		/* getstr always returns 0 */
		if(getstr("set var", buf, sizeof(buf), nil, 0) < 0)
			continue;
		if(buf[0] == 0)
			continue;
		else if(strcmp(buf, "q") == 0)
			break;
		else if(strcmp(buf, "h") == 0)
			print("%s", helptext);
		else if(strcmp(buf, "p") == 0)
			printconf();
		else if(strchr(buf, '='))
			changeconf("%s\n", buf);
		else
			print("unknown command: %s\n", buf);
	}
}
